Status: Resolved Priority: Must have
Author: Bastian Waidelich Category:
Created: 2012-01-31 Assigned To: Bastian Waidelich
Updated: 2012-02-01 Due date:
Subject: ImageTypeConverter conflicts with default ImageConverter
Description

With current HEAD the ImageTypeConverter that comes with TYPO3.TYPO3 conflicts with the new ImageConverter of the
TYPO3.Media package:

There exist at least two converters which handle the conversion from  "array" to "TYPO3\Media\Domain\Model\Image" with
priority "1":  TYPO3\Media\TypeConverter\ImageConverter and  TYPO3\TYPO3\TypeConverter\ImageTypeConverter

An easy solution would be to increase the priority of one of those.

Related issues:
duplicated by TYPO3.Neos - Bug # 33549: Duplicate TypeConverter clash Closed 2012-01-31

Associated revisions
Revision f46414da - 2012-01-31 12:56 - Bastian Waidelich

[BUGFIX] ImageTypeConverter conflicts with default ImageConverter

This increases the priority of the provided ImageTypeConverter
in order to prevent conflicts with the ImageConverter of the
TYPO3.Media package.
In the long run this converter should be removed altogether.

Change-Id: If901ff311c73f49e7abfb231d631d080c920407d
Fixes: #33548

History
#1 - 2012-01-31 12:57 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8778

#2 - 2012-01-31 20:16 - Bastian Waidelich
- Status changed from Accepted to Under Review

#3 - 2012-02-01 14:52 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f46414dabc776ab0ac71ab787e6284aff2bd7b57.
